ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Types.ErrCtxt

Synopsis

- type ErrCtxt = (Bool, TidyEnv -> ZonkM (TidyEnv, SDoc))

# Documentation

type ErrCtxt = (Bool, TidyEnv -> ZonkM (TidyEnv, SDoc)) Source #

Additional context to include in an error message, e.g. "In the type signature ...", "In the ambiguity check for ...", etc.